# Contributing

Thank you for your interest in contributing to the project! It is built by a
thriving community of developers who value cutting-edge technology and concise,
maintainable code. If you've found a bug, or have an idea for a feature, we
encourage your participation in making the framework better.

**Security vulnerabilities** are an especially sensitive class of
bug and should not be disclosed publicly. Please read the [full
information](http://li3.me/development#security) on our website.

Here's what you need to stick to in order to have the best chance of getting
your code pushed to the core:

- **Conceptual integrity**: code should conform to the goals of the framework
- **Maintainability**: code should pass existing [tests](http://li3.me/docs/specs/accepted/LSR-2-testing.md), have adequate test coverage and should conform to our [coding standards](http://li3.me/docs/specs/accepted/LSR-0-coding.md)
- **Comprehensibility**: code should be concise and expressive, and should be accompanied by new [documentation](http://li3.me/docs/specs/accepted/LSR-1-documenting.md) as appropriate, or updates to existing docs
- **Integration**: finally, pull requests should be submitted against their respective version branch. The following 3 rules help, to determine the correct version branch.
	- Patches for bug fixes against **next stable** (i.e. 1.0).
	- Patches for BC-features against **next minor**. (i.e. 1.1)
	- Patches for BC-breaking-features against **next major**. (i.e. 2.0)

As always, all contributions are important, and we're very grateful for the help
of all those who have gotten us this far. If you're interested in helping out,
but feel you could use a little coaching, be sure to message us and
introduce yourself -- we'd love to help you get started.

You may also want to review the full [development
guidelines](http://li3.me/development) over at [li3.me](http://li3.me/).
